Error message with processing tool "Random extract within subsets"
Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19833

Description

Hi,

In the toolbox when using the tool "Random extract within subsets" (QGIS Geoalgorithms > Vector selection tools) the following error

message appears.

Algorithm Random extract within subsets starting...

'QgsVectorLayer' object has no attribute 'fields' Voir le journal pour plus de détails

Log

Traceback (most recent call last):

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 212, in execute

    self.processAlgorithm(progress)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\algs\\qgis\\RandomExtractWithinSubsets.py", line 96, in

processAlgorithm

    writer = output.getVectorWriter(layer.fields(),

AttributeError: 'QgsVectorLayer' object has no attribute 'fields'

Thanks

QGIS 64 via osgeo4w version 2.6.0, W7

Associated revisions

Revision 3c2d45ff - 2014-11-19 11:02 AM - Alexander Bruy

[processing] repair non-working random extract algorithms (fix #11571)

History

#1 - 2014-11-05 07:03 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Processing/QGIS

do you have any "processing" folder inside .qgis2/python/plugins? if yes delete it, restart qgis and try again. Thanks!
#2 - 2014-11-05 07:59 AM - Giovanni Manghi

- Target version set to Version 2.8

- Status changed from Feedback to Open

not necessary to check, issue confirmed. The "random select" tool works as expected.

#3 - 2014-11-19 02:02 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"3c2d45ffd7b12e85d836f6684013a0e70228eeed".

#4 - 2014-11-19 02:03 AM - Alexander Bruy

- Resolution set to fixed/implemented
